---
title: Node.lookupNamespaceURI()
slug: Web/API/Node/lookupNamespaceURI
tags:
  - API
  - DOM
  - Method
  - NeedsSpecTable
  - Node
  - Reference
---
<div>{{APIRef("DOM")}}</div>

<p>The <code><strong>Node.lookupNamespaceURI()</strong></code> method accepts a prefix and returns the namespace URI associated with it on the given node if found (and <code>null</code> if not).</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox">var <em>namespace</em> = <em>node</em>.lookupNamespaceURI(<em>prefix</em>);</pre>

<h3 id="Parameters">Parameters</h3>

<dl>
 <dt><code>prefix</code></dt>
 <dd>The prefix to look for. If this parameter is <code>null</code>, the method will return the default namespace URI, if any.</dd>
</dl>

<h3 id="Return_value">Return value</h3>

<p>A {{domxref("DOMString")}} containing the namespace URI. If the prefix is not found, it returns <code>null</code>.</p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{SpecName("DOM WHATWG", "#dom-node-lookupnamespaceuri", "Node: lookupNamespaceURI")}}</td>
   <td>{{Spec2("DOM WHATWG")}}</td>
   <td></td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.Node.lookupNamespaceURI")}}</p>

<p>In Firefox, due to <a class="link-https" href="https://bugzilla.mozilla.org/show_bug.cgi?id=312019">bug 312019</a>, this method does not work with dynamically assigned namespaces (i.e., those set with {{domxref("Node.prefix")}}).</p>
